import { GraphQLClient } from 'graphql-request';
import * as Dom from 'graphql-request/dist/types.dom';
export declare type Maybe<T> = T | null;
export declare type InputMaybe<T> = Maybe<T>;
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
export declare type MakeOptional<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]?: Maybe<T[SubKey]>;
};
export declare type MakeMaybe<T, K extends keyof T> = Omit<T, K> & {
    [SubKey in K]: Maybe<T[SubKey]>;
};
/** All built-in and custom scalars, mapped to their actual values */
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    bigint: any;
    timestamptz: any;
    uuid: any;
};
/** columns and relationships of "accounts" */
export declare type Accounts = {
    __typename?: 'Accounts';
    accessToken?: Maybe<Scalars['String']>;
    expiresAt?: Maybe<Scalars['bigint']>;
    id: Scalars['uuid'];
    idToken?: Maybe<Scalars['String']>;
    oauthToken?: Maybe<Scalars['String']>;
    oauthTokenSecret?: Maybe<Scalars['String']>;
    provider: Scalars['String'];
    providerAccountId: Scalars['String'];
    refreshToken?: Maybe<Scalars['String']>;
    refreshTokenExpiresIn?: Maybe<Scalars['bigint']>;
    scope?: Maybe<Scalars['String']>;
    sessionState?: Maybe<Scalars['String']>;
    tokenType?: Maybe<Scalars['String']>;
    type: Scalars['String'];
    /** An object relationship */
    user: Users;
    userId: Scalars['uuid'];
};
/** aggregated selection of "accounts" */
export declare type AccountsAggregate = {
    __typename?: 'AccountsAggregate';
    aggregate?: Maybe<AccountsAggregateFields>;
    nodes: Array<Accounts>;
};
/** aggregate fields of "accounts" */
export declare type AccountsAggregateFields = {
    __typename?: 'AccountsAggregateFields';
    avg?: Maybe<AccountsAvgFields>;
    count: Scalars['Int'];
    max?: Maybe<AccountsMaxFields>;
    min?: Maybe<AccountsMinFields>;
    stddev?: Maybe<AccountsStddevFields>;
    stddevPop?: Maybe<AccountsStddev_PopFields>;
    stddevSamp?: Maybe<AccountsStddev_SampFields>;
    sum?: Maybe<AccountsSumFields>;
    varPop?: Maybe<AccountsVar_PopFields>;
    varSamp?: Maybe<AccountsVar_SampFields>;
    variance?: Maybe<AccountsVarianceFields>;
};
/** aggregate fields of "accounts" */
export declare type AccountsAggregateFieldsCountArgs = {
    columns?: InputMaybe<Array<AccountsSelectColumn>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "accounts" */
export declare type AccountsAggregateOrderBy = {
    avg?: InputMaybe<Accounts_Avg_Order_By>;
    count?: InputMaybe<OrderBy>;
    max?: InputMaybe<Accounts_Max_Order_By>;
    min?: InputMaybe<Accounts_Min_Order_By>;
    stddev?: InputMaybe<Accounts_Stddev_Order_By>;
    stddev_pop?: InputMaybe<Accounts_Stddev_Pop_Order_By>;
    stddev_samp?: InputMaybe<Accounts_Stddev_Samp_Order_By>;
    sum?: InputMaybe<Accounts_Sum_Order_By>;
    var_pop?: InputMaybe<Accounts_Var_Pop_Order_By>;
    var_samp?: InputMaybe<Accounts_Var_Samp_Order_By>;
    variance?: InputMaybe<Accounts_Variance_Order_By>;
};
/** input type for inserting array relation for remote table "accounts" */
export declare type AccountsArrRelInsertInput = {
    data: Array<AccountsInsertInput>;
    /** upsert condition */
    onConflict?: InputMaybe<AccountsOnConflict>;
};
/** aggregate avg on columns */
export declare type AccountsAvgFields = {
    __typename?: 'AccountsAvgFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** Boolean expression to filter rows from the table "accounts". All fields are combined with a logical 'AND'. */
export declare type AccountsBoolExp = {
    _and?: InputMaybe<Array<AccountsBoolExp>>;
    _not?: InputMaybe<AccountsBoolExp>;
    _or?: InputMaybe<Array<AccountsBoolExp>>;
    accessToken?: InputMaybe<StringComparisonExp>;
    expiresAt?: InputMaybe<BigintComparisonExp>;
    id?: InputMaybe<UuidComparisonExp>;
    idToken?: InputMaybe<StringComparisonExp>;
    oauthToken?: InputMaybe<StringComparisonExp>;
    oauthTokenSecret?: InputMaybe<StringComparisonExp>;
    provider?: InputMaybe<StringComparisonExp>;
    providerAccountId?: InputMaybe<StringComparisonExp>;
    refreshToken?: InputMaybe<StringComparisonExp>;
    refreshTokenExpiresIn?: InputMaybe<BigintComparisonExp>;
    scope?: InputMaybe<StringComparisonExp>;
    sessionState?: InputMaybe<StringComparisonExp>;
    tokenType?: InputMaybe<StringComparisonExp>;
    type?: InputMaybe<StringComparisonExp>;
    user?: InputMaybe<UsersBoolExp>;
    userId?: InputMaybe<UuidComparisonExp>;
};
/** unique or primary key constraints on table "accounts" */
export declare type AccountsConstraint = 
/** unique or primary key constraint on columns "id" */
'accounts_pkey';
/** input type for incrementing numeric columns in table "accounts" */
export declare type AccountsIncInput = {
    expiresAt?: InputMaybe<Scalars['bigint']>;
    refreshTokenExpiresIn?: InputMaybe<Scalars['bigint']>;
};
/** input type for inserting data into table "accounts" */
export declare type AccountsInsertInput = {
    accessToken?: InputMaybe<Scalars['String']>;
    expiresAt?: InputMaybe<Scalars['bigint']>;
    id?: InputMaybe<Scalars['uuid']>;
    idToken?: InputMaybe<Scalars['String']>;
    oauthToken?: InputMaybe<Scalars['String']>;
    oauthTokenSecret?: InputMaybe<Scalars['String']>;
    provider?: InputMaybe<Scalars['String']>;
    providerAccountId?: InputMaybe<Scalars['String']>;
    refreshToken?: InputMaybe<Scalars['String']>;
    refreshTokenExpiresIn?: InputMaybe<Scalars['bigint']>;
    scope?: InputMaybe<Scalars['String']>;
    sessionState?: InputMaybe<Scalars['String']>;
    tokenType?: InputMaybe<Scalars['String']>;
    type?: InputMaybe<Scalars['String']>;
    user?: InputMaybe<UsersObjRelInsertInput>;
    userId?: InputMaybe<Scalars['uuid']>;
};
/** aggregate max on columns */
export declare type AccountsMaxFields = {
    __typename?: 'AccountsMaxFields';
    accessToken?: Maybe<Scalars['String']>;
    expiresAt?: Maybe<Scalars['bigint']>;
    id?: Maybe<Scalars['uuid']>;
    idToken?: Maybe<Scalars['String']>;
    oauthToken?: Maybe<Scalars['String']>;
    oauthTokenSecret?: Maybe<Scalars['String']>;
    provider?: Maybe<Scalars['String']>;
    providerAccountId?: Maybe<Scalars['String']>;
    refreshToken?: Maybe<Scalars['String']>;
    refreshTokenExpiresIn?: Maybe<Scalars['bigint']>;
    scope?: Maybe<Scalars['String']>;
    sessionState?: Maybe<Scalars['String']>;
    tokenType?: Maybe<Scalars['String']>;
    type?: Maybe<Scalars['String']>;
    userId?: Maybe<Scalars['uuid']>;
};
/** aggregate min on columns */
export declare type AccountsMinFields = {
    __typename?: 'AccountsMinFields';
    accessToken?: Maybe<Scalars['String']>;
    expiresAt?: Maybe<Scalars['bigint']>;
    id?: Maybe<Scalars['uuid']>;
    idToken?: Maybe<Scalars['String']>;
    oauthToken?: Maybe<Scalars['String']>;
    oauthTokenSecret?: Maybe<Scalars['String']>;
    provider?: Maybe<Scalars['String']>;
    providerAccountId?: Maybe<Scalars['String']>;
    refreshToken?: Maybe<Scalars['String']>;
    refreshTokenExpiresIn?: Maybe<Scalars['bigint']>;
    scope?: Maybe<Scalars['String']>;
    sessionState?: Maybe<Scalars['String']>;
    tokenType?: Maybe<Scalars['String']>;
    type?: Maybe<Scalars['String']>;
    userId?: Maybe<Scalars['uuid']>;
};
/** response of any mutation on the table "accounts" */
export declare type AccountsMutationResponse = {
    __typename?: 'AccountsMutationResponse';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Accounts>;
};
/** on_conflict condition type for table "accounts" */
export declare type AccountsOnConflict = {
    constraint: AccountsConstraint;
    update_columns?: Array<AccountsUpdateColumn>;
    where?: InputMaybe<AccountsBoolExp>;
};
/** Ordering options when selecting data from "accounts". */
export declare type AccountsOrderBy = {
    accessToken?: InputMaybe<OrderBy>;
    expiresAt?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    idToken?: InputMaybe<OrderBy>;
    oauthToken?: InputMaybe<OrderBy>;
    oauthTokenSecret?: InputMaybe<OrderBy>;
    provider?: InputMaybe<OrderBy>;
    providerAccountId?: InputMaybe<OrderBy>;
    refreshToken?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
    scope?: InputMaybe<OrderBy>;
    sessionState?: InputMaybe<OrderBy>;
    tokenType?: InputMaybe<OrderBy>;
    type?: InputMaybe<OrderBy>;
    user?: InputMaybe<UsersOrderBy>;
    userId?: InputMaybe<OrderBy>;
};
/** primary key columns input for table: accounts */
export declare type AccountsPkColumnsInput = {
    id: Scalars['uuid'];
};
/** select columns of table "accounts" */
export declare type AccountsSelectColumn = 
/** column name */
'accessToken'
/** column name */
 | 'expiresAt'
/** column name */
 | 'id'
/** column name */
 | 'idToken'
/** column name */
 | 'oauthToken'
/** column name */
 | 'oauthTokenSecret'
/** column name */
 | 'provider'
/** column name */
 | 'providerAccountId'
/** column name */
 | 'refreshToken'
/** column name */
 | 'refreshTokenExpiresIn'
/** column name */
 | 'scope'
/** column name */
 | 'sessionState'
/** column name */
 | 'tokenType'
/** column name */
 | 'type'
/** column name */
 | 'userId';
/** input type for updating data in table "accounts" */
export declare type AccountsSetInput = {
    accessToken?: InputMaybe<Scalars['String']>;
    expiresAt?: InputMaybe<Scalars['bigint']>;
    id?: InputMaybe<Scalars['uuid']>;
    idToken?: InputMaybe<Scalars['String']>;
    oauthToken?: InputMaybe<Scalars['String']>;
    oauthTokenSecret?: InputMaybe<Scalars['String']>;
    provider?: InputMaybe<Scalars['String']>;
    providerAccountId?: InputMaybe<Scalars['String']>;
    refreshToken?: InputMaybe<Scalars['String']>;
    refreshTokenExpiresIn?: InputMaybe<Scalars['bigint']>;
    scope?: InputMaybe<Scalars['String']>;
    sessionState?: InputMaybe<Scalars['String']>;
    tokenType?: InputMaybe<Scalars['String']>;
    type?: InputMaybe<Scalars['String']>;
    userId?: InputMaybe<Scalars['uuid']>;
};
/** aggregate stddev on columns */
export declare type AccountsStddevFields = {
    __typename?: 'AccountsStddevFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_pop on columns */
export declare type AccountsStddev_PopFields = {
    __typename?: 'AccountsStddev_popFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** aggregate stddev_samp on columns */
export declare type AccountsStddev_SampFields = {
    __typename?: 'AccountsStddev_sampFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** Streaming cursor of the table "accounts" */
export declare type AccountsStreamCursorInput = {
    /** Stream column input with initial value */
    initialValue: AccountsStreamCursorValueInput;
    /** cursor ordering */
    ordering?: InputMaybe<CursorOrdering>;
};
/** Initial value of the column from where the streaming should start */
export declare type AccountsStreamCursorValueInput = {
    accessToken?: InputMaybe<Scalars['String']>;
    expiresAt?: InputMaybe<Scalars['bigint']>;
    id?: InputMaybe<Scalars['uuid']>;
    idToken?: InputMaybe<Scalars['String']>;
    oauthToken?: InputMaybe<Scalars['String']>;
    oauthTokenSecret?: InputMaybe<Scalars['String']>;
    provider?: InputMaybe<Scalars['String']>;
    providerAccountId?: InputMaybe<Scalars['String']>;
    refreshToken?: InputMaybe<Scalars['String']>;
    refreshTokenExpiresIn?: InputMaybe<Scalars['bigint']>;
    scope?: InputMaybe<Scalars['String']>;
    sessionState?: InputMaybe<Scalars['String']>;
    tokenType?: InputMaybe<Scalars['String']>;
    type?: InputMaybe<Scalars['String']>;
    userId?: InputMaybe<Scalars['uuid']>;
};
/** aggregate sum on columns */
export declare type AccountsSumFields = {
    __typename?: 'AccountsSumFields';
    expiresAt?: Maybe<Scalars['bigint']>;
    refreshTokenExpiresIn?: Maybe<Scalars['bigint']>;
};
/** update columns of table "accounts" */
export declare type AccountsUpdateColumn = 
/** column name */
'accessToken'
/** column name */
 | 'expiresAt'
/** column name */
 | 'id'
/** column name */
 | 'idToken'
/** column name */
 | 'oauthToken'
/** column name */
 | 'oauthTokenSecret'
/** column name */
 | 'provider'
/** column name */
 | 'providerAccountId'
/** column name */
 | 'refreshToken'
/** column name */
 | 'refreshTokenExpiresIn'
/** column name */
 | 'scope'
/** column name */
 | 'sessionState'
/** column name */
 | 'tokenType'
/** column name */
 | 'type'
/** column name */
 | 'userId';
export declare type AccountsUpdates = {
    /** increments the numeric columns with given value of the filtered values */
    _inc?: InputMaybe<AccountsIncInput>;
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<AccountsSetInput>;
    where: AccountsBoolExp;
};
/** aggregate var_pop on columns */
export declare type AccountsVar_PopFields = {
    __typename?: 'AccountsVar_popFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** aggregate var_samp on columns */
export declare type AccountsVar_SampFields = {
    __typename?: 'AccountsVar_sampFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** aggregate variance on columns */
export declare type AccountsVarianceFields = {
    __typename?: 'AccountsVarianceFields';
    expiresAt?: Maybe<Scalars['Float']>;
    refreshTokenExpiresIn?: Maybe<Scalars['Float']>;
};
/** Boolean expression to compare columns of type "bigint". All fields are combined with logical 'AND'. */
export declare type BigintComparisonExp = {
    _eq?: InputMaybe<Scalars['bigint']>;
    _gt?: InputMaybe<Scalars['bigint']>;
    _gte?: InputMaybe<Scalars['bigint']>;
    _in?: InputMaybe<Array<Scalars['bigint']>>;
    _isNull?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['bigint']>;
    _lte?: InputMaybe<Scalars['bigint']>;
    _neq?: InputMaybe<Scalars['bigint']>;
    _nin?: InputMaybe<Array<Scalars['bigint']>>;
};
/** ordering argument of a cursor */
export declare type CursorOrdering = 
/** ascending ordering of the cursor */
'ASC'
/** descending ordering of the cursor */
 | 'DESC';
/** Boolean expression to compare columns of type "Int". All fields are combined with logical 'AND'. */
export declare type IntComparisonExp = {
    _eq?: InputMaybe<Scalars['Int']>;
    _gt?: InputMaybe<Scalars['Int']>;
    _gte?: InputMaybe<Scalars['Int']>;
    _in?: InputMaybe<Array<Scalars['Int']>>;
    _isNull?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['Int']>;
    _lte?: InputMaybe<Scalars['Int']>;
    _neq?: InputMaybe<Scalars['Int']>;
    _nin?: InputMaybe<Array<Scalars['Int']>>;
};
/** column ordering options */
export declare type OrderBy = 
/** in ascending order, nulls last */
'ASC'
/** in ascending order, nulls first */
 | 'ASC_NULLS_FIRST'
/** in ascending order, nulls last */
 | 'ASC_NULLS_LAST'
/** in descending order, nulls first */
 | 'DESC'
/** in descending order, nulls first */
 | 'DESC_NULLS_FIRST'
/** in descending order, nulls last */
 | 'DESC_NULLS_LAST';
/** columns and relationships of "sessions" */
export declare type Sessions = {
    __typename?: 'Sessions';
    expires?: Maybe<Scalars['timestamptz']>;
    id: Scalars['uuid'];
    sessionToken: Scalars['String'];
    /** An object relationship */
    user: Users;
    userId: Scalars['uuid'];
};
/** aggregated selection of "sessions" */
export declare type SessionsAggregate = {
    __typename?: 'SessionsAggregate';
    aggregate?: Maybe<SessionsAggregateFields>;
    nodes: Array<Sessions>;
};
/** aggregate fields of "sessions" */
export declare type SessionsAggregateFields = {
    __typename?: 'SessionsAggregateFields';
    count: Scalars['Int'];
    max?: Maybe<SessionsMaxFields>;
    min?: Maybe<SessionsMinFields>;
};
/** aggregate fields of "sessions" */
export declare type SessionsAggregateFieldsCountArgs = {
    columns?: InputMaybe<Array<SessionsSelectColumn>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** order by aggregate values of table "sessions" */
export declare type SessionsAggregateOrderBy = {
    count?: InputMaybe<OrderBy>;
    max?: InputMaybe<Sessions_Max_Order_By>;
    min?: InputMaybe<Sessions_Min_Order_By>;
};
/** input type for inserting array relation for remote table "sessions" */
export declare type SessionsArrRelInsertInput = {
    data: Array<SessionsInsertInput>;
    /** upsert condition */
    onConflict?: InputMaybe<SessionsOnConflict>;
};
/** Boolean expression to filter rows from the table "sessions". All fields are combined with a logical 'AND'. */
export declare type SessionsBoolExp = {
    _and?: InputMaybe<Array<SessionsBoolExp>>;
    _not?: InputMaybe<SessionsBoolExp>;
    _or?: InputMaybe<Array<SessionsBoolExp>>;
    expires?: InputMaybe<TimestamptzComparisonExp>;
    id?: InputMaybe<UuidComparisonExp>;
    sessionToken?: InputMaybe<StringComparisonExp>;
    user?: InputMaybe<UsersBoolExp>;
    userId?: InputMaybe<UuidComparisonExp>;
};
/** unique or primary key constraints on table "sessions" */
export declare type SessionsConstraint = 
/** unique or primary key constraint on columns "id" */
'sessions_pkey';
/** input type for inserting data into table "sessions" */
export declare type SessionsInsertInput = {
    expires?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    sessionToken?: InputMaybe<Scalars['String']>;
    user?: InputMaybe<UsersObjRelInsertInput>;
    userId?: InputMaybe<Scalars['uuid']>;
};
/** aggregate max on columns */
export declare type SessionsMaxFields = {
    __typename?: 'SessionsMaxFields';
    expires?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    sessionToken?: Maybe<Scalars['String']>;
    userId?: Maybe<Scalars['uuid']>;
};
/** aggregate min on columns */
export declare type SessionsMinFields = {
    __typename?: 'SessionsMinFields';
    expires?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    sessionToken?: Maybe<Scalars['String']>;
    userId?: Maybe<Scalars['uuid']>;
};
/** response of any mutation on the table "sessions" */
export declare type SessionsMutationResponse = {
    __typename?: 'SessionsMutationResponse';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Sessions>;
};
/** on_conflict condition type for table "sessions" */
export declare type SessionsOnConflict = {
    constraint: SessionsConstraint;
    update_columns?: Array<SessionsUpdateColumn>;
    where?: InputMaybe<SessionsBoolExp>;
};
/** Ordering options when selecting data from "sessions". */
export declare type SessionsOrderBy = {
    expires?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    sessionToken?: InputMaybe<OrderBy>;
    user?: InputMaybe<UsersOrderBy>;
    userId?: InputMaybe<OrderBy>;
};
/** primary key columns input for table: sessions */
export declare type SessionsPkColumnsInput = {
    id: Scalars['uuid'];
};
/** select columns of table "sessions" */
export declare type SessionsSelectColumn = 
/** column name */
'expires'
/** column name */
 | 'id'
/** column name */
 | 'sessionToken'
/** column name */
 | 'userId';
/** input type for updating data in table "sessions" */
export declare type SessionsSetInput = {
    expires?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    sessionToken?: InputMaybe<Scalars['String']>;
    userId?: InputMaybe<Scalars['uuid']>;
};
/** Streaming cursor of the table "sessions" */
export declare type SessionsStreamCursorInput = {
    /** Stream column input with initial value */
    initialValue: SessionsStreamCursorValueInput;
    /** cursor ordering */
    ordering?: InputMaybe<CursorOrdering>;
};
/** Initial value of the column from where the streaming should start */
export declare type SessionsStreamCursorValueInput = {
    expires?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    sessionToken?: InputMaybe<Scalars['String']>;
    userId?: InputMaybe<Scalars['uuid']>;
};
/** update columns of table "sessions" */
export declare type SessionsUpdateColumn = 
/** column name */
'expires'
/** column name */
 | 'id'
/** column name */
 | 'sessionToken'
/** column name */
 | 'userId';
export declare type SessionsUpdates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<SessionsSetInput>;
    where: SessionsBoolExp;
};
/** Boolean expression to compare columns of type "String". All fields are combined with logical 'AND'. */
export declare type StringComparisonExp = {
    _eq?: InputMaybe<Scalars['String']>;
    _gt?: InputMaybe<Scalars['String']>;
    _gte?: InputMaybe<Scalars['String']>;
    /** does the column match the given case-insensitive pattern */
    _ilike?: InputMaybe<Scalars['String']>;
    _in?: InputMaybe<Array<Scalars['String']>>;
    /** does the column match the given POSIX regular expression, case insensitive */
    _iregex?: InputMaybe<Scalars['String']>;
    _isNull?: InputMaybe<Scalars['Boolean']>;
    /** does the column match the given pattern */
    _like?: InputMaybe<Scalars['String']>;
    _lt?: InputMaybe<Scalars['String']>;
    _lte?: InputMaybe<Scalars['String']>;
    _neq?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given case-insensitive pattern */
    _nilike?: InputMaybe<Scalars['String']>;
    _nin?: InputMaybe<Array<Scalars['String']>>;
    /** does the column NOT match the given POSIX regular expression, case insensitive */
    _niregex?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given pattern */
    _nlike?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given POSIX regular expression, case sensitive */
    _nregex?: InputMaybe<Scalars['String']>;
    /** does the column NOT match the given SQL regular expression */
    _nsimilar?: InputMaybe<Scalars['String']>;
    /** does the column match the given POSIX regular expression, case sensitive */
    _regex?: InputMaybe<Scalars['String']>;
    /** does the column match the given SQL regular expression */
    _similar?: InputMaybe<Scalars['String']>;
};
/** Boolean expression to compare columns of type "timestamptz". All fields are combined with logical 'AND'. */
export declare type TimestamptzComparisonExp = {
    _eq?: InputMaybe<Scalars['timestamptz']>;
    _gt?: InputMaybe<Scalars['timestamptz']>;
    _gte?: InputMaybe<Scalars['timestamptz']>;
    _in?: InputMaybe<Array<Scalars['timestamptz']>>;
    _isNull?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['timestamptz']>;
    _lte?: InputMaybe<Scalars['timestamptz']>;
    _neq?: InputMaybe<Scalars['timestamptz']>;
    _nin?: InputMaybe<Array<Scalars['timestamptz']>>;
};
/** columns and relationships of "users" */
export declare type Users = {
    __typename?: 'Users';
    /** An array relationship */
    accounts: Array<Accounts>;
    /** An aggregate relationship */
    accountsAggregate: AccountsAggregate;
    email?: Maybe<Scalars['String']>;
    emailVerified?: Maybe<Scalars['timestamptz']>;
    id: Scalars['uuid'];
    image?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
    /** An array relationship */
    sessions: Array<Sessions>;
    /** An aggregate relationship */
    sessionsAggregate: SessionsAggregate;
};
/** columns and relationships of "users" */
export declare type UsersAccountsArgs = {
    distinctOn?: InputMaybe<Array<AccountsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<AccountsOrderBy>>;
    where?: InputMaybe<AccountsBoolExp>;
};
/** columns and relationships of "users" */
export declare type UsersAccountsAggregateArgs = {
    distinctOn?: InputMaybe<Array<AccountsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<AccountsOrderBy>>;
    where?: InputMaybe<AccountsBoolExp>;
};
/** columns and relationships of "users" */
export declare type UsersSessionsArgs = {
    distinctOn?: InputMaybe<Array<SessionsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<SessionsOrderBy>>;
    where?: InputMaybe<SessionsBoolExp>;
};
/** columns and relationships of "users" */
export declare type UsersSessionsAggregateArgs = {
    distinctOn?: InputMaybe<Array<SessionsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<SessionsOrderBy>>;
    where?: InputMaybe<SessionsBoolExp>;
};
/** aggregated selection of "users" */
export declare type UsersAggregate = {
    __typename?: 'UsersAggregate';
    aggregate?: Maybe<UsersAggregateFields>;
    nodes: Array<Users>;
};
/** aggregate fields of "users" */
export declare type UsersAggregateFields = {
    __typename?: 'UsersAggregateFields';
    count: Scalars['Int'];
    max?: Maybe<UsersMaxFields>;
    min?: Maybe<UsersMinFields>;
};
/** aggregate fields of "users" */
export declare type UsersAggregateFieldsCountArgs = {
    columns?: InputMaybe<Array<UsersSelectColumn>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "users". All fields are combined with a logical 'AND'. */
export declare type UsersBoolExp = {
    _and?: InputMaybe<Array<UsersBoolExp>>;
    _not?: InputMaybe<UsersBoolExp>;
    _or?: InputMaybe<Array<UsersBoolExp>>;
    accounts?: InputMaybe<AccountsBoolExp>;
    accounts_aggregate?: InputMaybe<Accounts_Aggregate_Bool_Exp>;
    email?: InputMaybe<StringComparisonExp>;
    emailVerified?: InputMaybe<TimestamptzComparisonExp>;
    id?: InputMaybe<UuidComparisonExp>;
    image?: InputMaybe<StringComparisonExp>;
    name?: InputMaybe<StringComparisonExp>;
    sessions?: InputMaybe<SessionsBoolExp>;
    sessions_aggregate?: InputMaybe<Sessions_Aggregate_Bool_Exp>;
};
/** unique or primary key constraints on table "users" */
export declare type UsersConstraint = 
/** unique or primary key constraint on columns "email" */
'users_email_key'
/** unique or primary key constraint on columns "id" */
 | 'users_pkey';
/** input type for inserting data into table "users" */
export declare type UsersInsertInput = {
    accounts?: InputMaybe<AccountsArrRelInsertInput>;
    email?: InputMaybe<Scalars['String']>;
    emailVerified?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    image?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
    sessions?: InputMaybe<SessionsArrRelInsertInput>;
};
/** aggregate max on columns */
export declare type UsersMaxFields = {
    __typename?: 'UsersMaxFields';
    email?: Maybe<Scalars['String']>;
    emailVerified?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    image?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export declare type UsersMinFields = {
    __typename?: 'UsersMinFields';
    email?: Maybe<Scalars['String']>;
    emailVerified?: Maybe<Scalars['timestamptz']>;
    id?: Maybe<Scalars['uuid']>;
    image?: Maybe<Scalars['String']>;
    name?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "users" */
export declare type UsersMutationResponse = {
    __typename?: 'UsersMutationResponse';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<Users>;
};
/** input type for inserting object relation for remote table "users" */
export declare type UsersObjRelInsertInput = {
    data: UsersInsertInput;
    /** upsert condition */
    onConflict?: InputMaybe<UsersOnConflict>;
};
/** on_conflict condition type for table "users" */
export declare type UsersOnConflict = {
    constraint: UsersConstraint;
    update_columns?: Array<UsersUpdateColumn>;
    where?: InputMaybe<UsersBoolExp>;
};
/** Ordering options when selecting data from "users". */
export declare type UsersOrderBy = {
    accountsAggregate?: InputMaybe<AccountsAggregateOrderBy>;
    email?: InputMaybe<OrderBy>;
    emailVerified?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    image?: InputMaybe<OrderBy>;
    name?: InputMaybe<OrderBy>;
    sessionsAggregate?: InputMaybe<SessionsAggregateOrderBy>;
};
/** primary key columns input for table: users */
export declare type UsersPkColumnsInput = {
    id: Scalars['uuid'];
};
/** select columns of table "users" */
export declare type UsersSelectColumn = 
/** column name */
'email'
/** column name */
 | 'emailVerified'
/** column name */
 | 'id'
/** column name */
 | 'image'
/** column name */
 | 'name';
/** input type for updating data in table "users" */
export declare type UsersSetInput = {
    email?: InputMaybe<Scalars['String']>;
    emailVerified?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    image?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "users" */
export declare type UsersStreamCursorInput = {
    /** Stream column input with initial value */
    initialValue: UsersStreamCursorValueInput;
    /** cursor ordering */
    ordering?: InputMaybe<CursorOrdering>;
};
/** Initial value of the column from where the streaming should start */
export declare type UsersStreamCursorValueInput = {
    email?: InputMaybe<Scalars['String']>;
    emailVerified?: InputMaybe<Scalars['timestamptz']>;
    id?: InputMaybe<Scalars['uuid']>;
    image?: InputMaybe<Scalars['String']>;
    name?: InputMaybe<Scalars['String']>;
};
/** update columns of table "users" */
export declare type UsersUpdateColumn = 
/** column name */
'email'
/** column name */
 | 'emailVerified'
/** column name */
 | 'id'
/** column name */
 | 'image'
/** column name */
 | 'name';
export declare type UsersUpdates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<UsersSetInput>;
    where: UsersBoolExp;
};
/** Boolean expression to compare columns of type "uuid". All fields are combined with logical 'AND'. */
export declare type UuidComparisonExp = {
    _eq?: InputMaybe<Scalars['uuid']>;
    _gt?: InputMaybe<Scalars['uuid']>;
    _gte?: InputMaybe<Scalars['uuid']>;
    _in?: InputMaybe<Array<Scalars['uuid']>>;
    _isNull?: InputMaybe<Scalars['Boolean']>;
    _lt?: InputMaybe<Scalars['uuid']>;
    _lte?: InputMaybe<Scalars['uuid']>;
    _neq?: InputMaybe<Scalars['uuid']>;
    _nin?: InputMaybe<Array<Scalars['uuid']>>;
};
/** columns and relationships of "verification_tokens" */
export declare type VerificationTokens = {
    __typename?: 'VerificationTokens';
    expires?: Maybe<Scalars['timestamptz']>;
    identifier: Scalars['String'];
    token: Scalars['String'];
};
/** aggregated selection of "verification_tokens" */
export declare type VerificationTokensAggregate = {
    __typename?: 'VerificationTokensAggregate';
    aggregate?: Maybe<VerificationTokensAggregateFields>;
    nodes: Array<VerificationTokens>;
};
/** aggregate fields of "verification_tokens" */
export declare type VerificationTokensAggregateFields = {
    __typename?: 'VerificationTokensAggregateFields';
    count: Scalars['Int'];
    max?: Maybe<VerificationTokensMaxFields>;
    min?: Maybe<VerificationTokensMinFields>;
};
/** aggregate fields of "verification_tokens" */
export declare type VerificationTokensAggregateFieldsCountArgs = {
    columns?: InputMaybe<Array<VerificationTokensSelectColumn>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
};
/** Boolean expression to filter rows from the table "verification_tokens". All fields are combined with a logical 'AND'. */
export declare type VerificationTokensBoolExp = {
    _and?: InputMaybe<Array<VerificationTokensBoolExp>>;
    _not?: InputMaybe<VerificationTokensBoolExp>;
    _or?: InputMaybe<Array<VerificationTokensBoolExp>>;
    expires?: InputMaybe<TimestamptzComparisonExp>;
    identifier?: InputMaybe<StringComparisonExp>;
    token?: InputMaybe<StringComparisonExp>;
};
/** unique or primary key constraints on table "verification_tokens" */
export declare type VerificationTokensConstraint = 
/** unique or primary key constraint on columns "token" */
'verification_tokens_pkey';
/** input type for inserting data into table "verification_tokens" */
export declare type VerificationTokensInsertInput = {
    expires?: InputMaybe<Scalars['timestamptz']>;
    identifier?: InputMaybe<Scalars['String']>;
    token?: InputMaybe<Scalars['String']>;
};
/** aggregate max on columns */
export declare type VerificationTokensMaxFields = {
    __typename?: 'VerificationTokensMaxFields';
    expires?: Maybe<Scalars['timestamptz']>;
    identifier?: Maybe<Scalars['String']>;
    token?: Maybe<Scalars['String']>;
};
/** aggregate min on columns */
export declare type VerificationTokensMinFields = {
    __typename?: 'VerificationTokensMinFields';
    expires?: Maybe<Scalars['timestamptz']>;
    identifier?: Maybe<Scalars['String']>;
    token?: Maybe<Scalars['String']>;
};
/** response of any mutation on the table "verification_tokens" */
export declare type VerificationTokensMutationResponse = {
    __typename?: 'VerificationTokensMutationResponse';
    /** number of rows affected by the mutation */
    affected_rows: Scalars['Int'];
    /** data from the rows affected by the mutation */
    returning: Array<VerificationTokens>;
};
/** on_conflict condition type for table "verification_tokens" */
export declare type VerificationTokensOnConflict = {
    constraint: VerificationTokensConstraint;
    update_columns?: Array<VerificationTokensUpdateColumn>;
    where?: InputMaybe<VerificationTokensBoolExp>;
};
/** Ordering options when selecting data from "verification_tokens". */
export declare type VerificationTokensOrderBy = {
    expires?: InputMaybe<OrderBy>;
    identifier?: InputMaybe<OrderBy>;
    token?: InputMaybe<OrderBy>;
};
/** primary key columns input for table: verification_tokens */
export declare type VerificationTokensPkColumnsInput = {
    token: Scalars['String'];
};
/** select columns of table "verification_tokens" */
export declare type VerificationTokensSelectColumn = 
/** column name */
'expires'
/** column name */
 | 'identifier'
/** column name */
 | 'token';
/** input type for updating data in table "verification_tokens" */
export declare type VerificationTokensSetInput = {
    expires?: InputMaybe<Scalars['timestamptz']>;
    identifier?: InputMaybe<Scalars['String']>;
    token?: InputMaybe<Scalars['String']>;
};
/** Streaming cursor of the table "verification_tokens" */
export declare type VerificationTokensStreamCursorInput = {
    /** Stream column input with initial value */
    initialValue: VerificationTokensStreamCursorValueInput;
    /** cursor ordering */
    ordering?: InputMaybe<CursorOrdering>;
};
/** Initial value of the column from where the streaming should start */
export declare type VerificationTokensStreamCursorValueInput = {
    expires?: InputMaybe<Scalars['timestamptz']>;
    identifier?: InputMaybe<Scalars['String']>;
    token?: InputMaybe<Scalars['String']>;
};
/** update columns of table "verification_tokens" */
export declare type VerificationTokensUpdateColumn = 
/** column name */
'expires'
/** column name */
 | 'identifier'
/** column name */
 | 'token';
export declare type VerificationTokensUpdates = {
    /** sets the columns of the filtered rows to the given values */
    _set?: InputMaybe<VerificationTokensSetInput>;
    where: VerificationTokensBoolExp;
};
export declare type Accounts_Aggregate_Bool_Exp = {
    count?: InputMaybe<Accounts_Aggregate_Bool_Exp_Count>;
};
export declare type Accounts_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<AccountsSelectColumn>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<AccountsBoolExp>;
    predicate: IntComparisonExp;
};
/** order by avg() on columns of table "accounts" */
export declare type Accounts_Avg_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by max() on columns of table "accounts" */
export declare type Accounts_Max_Order_By = {
    accessToken?: InputMaybe<OrderBy>;
    expiresAt?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    idToken?: InputMaybe<OrderBy>;
    oauthToken?: InputMaybe<OrderBy>;
    oauthTokenSecret?: InputMaybe<OrderBy>;
    provider?: InputMaybe<OrderBy>;
    providerAccountId?: InputMaybe<OrderBy>;
    refreshToken?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
    scope?: InputMaybe<OrderBy>;
    sessionState?: InputMaybe<OrderBy>;
    tokenType?: InputMaybe<OrderBy>;
    type?: InputMaybe<OrderBy>;
    userId?: InputMaybe<OrderBy>;
};
/** order by min() on columns of table "accounts" */
export declare type Accounts_Min_Order_By = {
    accessToken?: InputMaybe<OrderBy>;
    expiresAt?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    idToken?: InputMaybe<OrderBy>;
    oauthToken?: InputMaybe<OrderBy>;
    oauthTokenSecret?: InputMaybe<OrderBy>;
    provider?: InputMaybe<OrderBy>;
    providerAccountId?: InputMaybe<OrderBy>;
    refreshToken?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
    scope?: InputMaybe<OrderBy>;
    sessionState?: InputMaybe<OrderBy>;
    tokenType?: InputMaybe<OrderBy>;
    type?: InputMaybe<OrderBy>;
    userId?: InputMaybe<OrderBy>;
};
/** order by stddev() on columns of table "accounts" */
export declare type Accounts_Stddev_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by stddev_pop() on columns of table "accounts" */
export declare type Accounts_Stddev_Pop_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by stddev_samp() on columns of table "accounts" */
export declare type Accounts_Stddev_Samp_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by sum() on columns of table "accounts" */
export declare type Accounts_Sum_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by var_pop() on columns of table "accounts" */
export declare type Accounts_Var_Pop_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by var_samp() on columns of table "accounts" */
export declare type Accounts_Var_Samp_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** order by variance() on columns of table "accounts" */
export declare type Accounts_Variance_Order_By = {
    expiresAt?: InputMaybe<OrderBy>;
    refreshTokenExpiresIn?: InputMaybe<OrderBy>;
};
/** mutation root */
export declare type Mutation_Root = {
    __typename?: 'mutation_root';
    /** delete data from the table: "accounts" */
    deleteAccounts?: Maybe<AccountsMutationResponse>;
    /** delete single row from the table: "accounts" */
    deleteAccountsByPk?: Maybe<Accounts>;
    /** delete data from the table: "sessions" */
    deleteSessions?: Maybe<SessionsMutationResponse>;
    /** delete single row from the table: "sessions" */
    deleteSessionsByPk?: Maybe<Sessions>;
    /** delete data from the table: "users" */
    deleteUsers?: Maybe<UsersMutationResponse>;
    /** delete single row from the table: "users" */
    deleteUsersByPk?: Maybe<Users>;
    /** delete data from the table: "verification_tokens" */
    deleteVerificationTokens?: Maybe<VerificationTokensMutationResponse>;
    /** delete single row from the table: "verification_tokens" */
    deleteVerificationTokensByPk?: Maybe<VerificationTokens>;
    /** insert data into the table: "accounts" */
    insertAccounts?: Maybe<AccountsMutationResponse>;
    /** insert a single row into the table: "accounts" */
    insertAccountsOne?: Maybe<Accounts>;
    /** insert data into the table: "sessions" */
    insertSessions?: Maybe<SessionsMutationResponse>;
    /** insert a single row into the table: "sessions" */
    insertSessionsOne?: Maybe<Sessions>;
    /** insert data into the table: "users" */
    insertUsers?: Maybe<UsersMutationResponse>;
    /** insert a single row into the table: "users" */
    insertUsersOne?: Maybe<Users>;
    /** insert data into the table: "verification_tokens" */
    insertVerificationTokens?: Maybe<VerificationTokensMutationResponse>;
    /** insert a single row into the table: "verification_tokens" */
    insertVerificationTokensOne?: Maybe<VerificationTokens>;
    /** update data of the table: "accounts" */
    updateAccounts?: Maybe<AccountsMutationResponse>;
    /** update single row of the table: "accounts" */
    updateAccountsByPk?: Maybe<Accounts>;
    /** update multiples rows of table: "accounts" */
    updateAccountsMany?: Maybe<Array<Maybe<AccountsMutationResponse>>>;
    /** update data of the table: "sessions" */
    updateSessions?: Maybe<SessionsMutationResponse>;
    /** update single row of the table: "sessions" */
    updateSessionsByPk?: Maybe<Sessions>;
    /** update multiples rows of table: "sessions" */
    updateSessionsMany?: Maybe<Array<Maybe<SessionsMutationResponse>>>;
    /** update data of the table: "users" */
    updateUsers?: Maybe<UsersMutationResponse>;
    /** update single row of the table: "users" */
    updateUsersByPk?: Maybe<Users>;
    /** update multiples rows of table: "users" */
    updateUsersMany?: Maybe<Array<Maybe<UsersMutationResponse>>>;
    /** update data of the table: "verification_tokens" */
    updateVerificationTokens?: Maybe<VerificationTokensMutationResponse>;
    /** update single row of the table: "verification_tokens" */
    updateVerificationTokensByPk?: Maybe<VerificationTokens>;
    /** update multiples rows of table: "verification_tokens" */
    updateVerificationTokensMany?: Maybe<Array<Maybe<VerificationTokensMutationResponse>>>;
};
/** mutation root */
export declare type Mutation_RootDeleteAccountsArgs = {
    where: AccountsBoolExp;
};
/** mutation root */
export declare type Mutation_RootDeleteAccountsByPkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export declare type Mutation_RootDeleteSessionsArgs = {
    where: SessionsBoolExp;
};
/** mutation root */
export declare type Mutation_RootDeleteSessionsByPkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export declare type Mutation_RootDeleteUsersArgs = {
    where: UsersBoolExp;
};
/** mutation root */
export declare type Mutation_RootDeleteUsersByPkArgs = {
    id: Scalars['uuid'];
};
/** mutation root */
export declare type Mutation_RootDeleteVerificationTokensArgs = {
    where: VerificationTokensBoolExp;
};
/** mutation root */
export declare type Mutation_RootDeleteVerificationTokensByPkArgs = {
    token: Scalars['String'];
};
/** mutation root */
export declare type Mutation_RootInsertAccountsArgs = {
    objects: Array<AccountsInsertInput>;
    onConflict?: InputMaybe<AccountsOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertAccountsOneArgs = {
    object: AccountsInsertInput;
    onConflict?: InputMaybe<AccountsOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertSessionsArgs = {
    objects: Array<SessionsInsertInput>;
    onConflict?: InputMaybe<SessionsOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertSessionsOneArgs = {
    object: SessionsInsertInput;
    onConflict?: InputMaybe<SessionsOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertUsersArgs = {
    objects: Array<UsersInsertInput>;
    onConflict?: InputMaybe<UsersOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertUsersOneArgs = {
    object: UsersInsertInput;
    onConflict?: InputMaybe<UsersOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertVerificationTokensArgs = {
    objects: Array<VerificationTokensInsertInput>;
    onConflict?: InputMaybe<VerificationTokensOnConflict>;
};
/** mutation root */
export declare type Mutation_RootInsertVerificationTokensOneArgs = {
    object: VerificationTokensInsertInput;
    onConflict?: InputMaybe<VerificationTokensOnConflict>;
};
/** mutation root */
export declare type Mutation_RootUpdateAccountsArgs = {
    _inc?: InputMaybe<AccountsIncInput>;
    _set?: InputMaybe<AccountsSetInput>;
    where: AccountsBoolExp;
};
/** mutation root */
export declare type Mutation_RootUpdateAccountsByPkArgs = {
    _inc?: InputMaybe<AccountsIncInput>;
    _set?: InputMaybe<AccountsSetInput>;
    pk_columns: AccountsPkColumnsInput;
};
/** mutation root */
export declare type Mutation_RootUpdateAccountsManyArgs = {
    updates: Array<AccountsUpdates>;
};
/** mutation root */
export declare type Mutation_RootUpdateSessionsArgs = {
    _set?: InputMaybe<SessionsSetInput>;
    where: SessionsBoolExp;
};
/** mutation root */
export declare type Mutation_RootUpdateSessionsByPkArgs = {
    _set?: InputMaybe<SessionsSetInput>;
    pk_columns: SessionsPkColumnsInput;
};
/** mutation root */
export declare type Mutation_RootUpdateSessionsManyArgs = {
    updates: Array<SessionsUpdates>;
};
/** mutation root */
export declare type Mutation_RootUpdateUsersArgs = {
    _set?: InputMaybe<UsersSetInput>;
    where: UsersBoolExp;
};
/** mutation root */
export declare type Mutation_RootUpdateUsersByPkArgs = {
    _set?: InputMaybe<UsersSetInput>;
    pk_columns: UsersPkColumnsInput;
};
/** mutation root */
export declare type Mutation_RootUpdateUsersManyArgs = {
    updates: Array<UsersUpdates>;
};
/** mutation root */
export declare type Mutation_RootUpdateVerificationTokensArgs = {
    _set?: InputMaybe<VerificationTokensSetInput>;
    where: VerificationTokensBoolExp;
};
/** mutation root */
export declare type Mutation_RootUpdateVerificationTokensByPkArgs = {
    _set?: InputMaybe<VerificationTokensSetInput>;
    pk_columns: VerificationTokensPkColumnsInput;
};
/** mutation root */
export declare type Mutation_RootUpdateVerificationTokensManyArgs = {
    updates: Array<VerificationTokensUpdates>;
};
export declare type Query_Root = {
    __typename?: 'query_root';
    /** An array relationship */
    accounts: Array<Accounts>;
    /** An aggregate relationship */
    accountsAggregate: AccountsAggregate;
    /** fetch data from the table: "accounts" using primary key columns */
    accountsByPk?: Maybe<Accounts>;
    /** An array relationship */
    sessions: Array<Sessions>;
    /** An aggregate relationship */
    sessionsAggregate: SessionsAggregate;
    /** fetch data from the table: "sessions" using primary key columns */
    sessionsByPk?: Maybe<Sessions>;
    /** fetch data from the table: "users" */
    users: Array<Users>;
    /** fetch aggregated fields from the table: "users" */
    usersAggregate: UsersAggregate;
    /** fetch data from the table: "users" using primary key columns */
    usersByPk?: Maybe<Users>;
    /** fetch data from the table: "verification_tokens" */
    verificationTokens: Array<VerificationTokens>;
    /** fetch aggregated fields from the table: "verification_tokens" */
    verificationTokensAggregate: VerificationTokensAggregate;
    /** fetch data from the table: "verification_tokens" using primary key columns */
    verificationTokensByPk?: Maybe<VerificationTokens>;
};
export declare type Query_RootAccountsArgs = {
    distinctOn?: InputMaybe<Array<AccountsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<AccountsOrderBy>>;
    where?: InputMaybe<AccountsBoolExp>;
};
export declare type Query_RootAccountsAggregateArgs = {
    distinctOn?: InputMaybe<Array<AccountsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<AccountsOrderBy>>;
    where?: InputMaybe<AccountsBoolExp>;
};
export declare type Query_RootAccountsByPkArgs = {
    id: Scalars['uuid'];
};
export declare type Query_RootSessionsArgs = {
    distinctOn?: InputMaybe<Array<SessionsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<SessionsOrderBy>>;
    where?: InputMaybe<SessionsBoolExp>;
};
export declare type Query_RootSessionsAggregateArgs = {
    distinctOn?: InputMaybe<Array<SessionsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<SessionsOrderBy>>;
    where?: InputMaybe<SessionsBoolExp>;
};
export declare type Query_RootSessionsByPkArgs = {
    id: Scalars['uuid'];
};
export declare type Query_RootUsersArgs = {
    distinctOn?: InputMaybe<Array<UsersSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<UsersOrderBy>>;
    where?: InputMaybe<UsersBoolExp>;
};
export declare type Query_RootUsersAggregateArgs = {
    distinctOn?: InputMaybe<Array<UsersSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<UsersOrderBy>>;
    where?: InputMaybe<UsersBoolExp>;
};
export declare type Query_RootUsersByPkArgs = {
    id: Scalars['uuid'];
};
export declare type Query_RootVerificationTokensArgs = {
    distinctOn?: InputMaybe<Array<VerificationTokensSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<VerificationTokensOrderBy>>;
    where?: InputMaybe<VerificationTokensBoolExp>;
};
export declare type Query_RootVerificationTokensAggregateArgs = {
    distinctOn?: InputMaybe<Array<VerificationTokensSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<VerificationTokensOrderBy>>;
    where?: InputMaybe<VerificationTokensBoolExp>;
};
export declare type Query_RootVerificationTokensByPkArgs = {
    token: Scalars['String'];
};
export declare type Sessions_Aggregate_Bool_Exp = {
    count?: InputMaybe<Sessions_Aggregate_Bool_Exp_Count>;
};
export declare type Sessions_Aggregate_Bool_Exp_Count = {
    arguments?: InputMaybe<Array<SessionsSelectColumn>>;
    distinct?: InputMaybe<Scalars['Boolean']>;
    filter?: InputMaybe<SessionsBoolExp>;
    predicate: IntComparisonExp;
};
/** order by max() on columns of table "sessions" */
export declare type Sessions_Max_Order_By = {
    expires?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    sessionToken?: InputMaybe<OrderBy>;
    userId?: InputMaybe<OrderBy>;
};
/** order by min() on columns of table "sessions" */
export declare type Sessions_Min_Order_By = {
    expires?: InputMaybe<OrderBy>;
    id?: InputMaybe<OrderBy>;
    sessionToken?: InputMaybe<OrderBy>;
    userId?: InputMaybe<OrderBy>;
};
export declare type Subscription_Root = {
    __typename?: 'subscription_root';
    /** An array relationship */
    accounts: Array<Accounts>;
    /** An aggregate relationship */
    accountsAggregate: AccountsAggregate;
    /** fetch data from the table: "accounts" using primary key columns */
    accountsByPk?: Maybe<Accounts>;
    /** fetch data from the table in a streaming manner: "accounts" */
    accountsStream: Array<Accounts>;
    /** An array relationship */
    sessions: Array<Sessions>;
    /** An aggregate relationship */
    sessionsAggregate: SessionsAggregate;
    /** fetch data from the table: "sessions" using primary key columns */
    sessionsByPk?: Maybe<Sessions>;
    /** fetch data from the table in a streaming manner: "sessions" */
    sessionsStream: Array<Sessions>;
    /** fetch data from the table: "users" */
    users: Array<Users>;
    /** fetch aggregated fields from the table: "users" */
    usersAggregate: UsersAggregate;
    /** fetch data from the table: "users" using primary key columns */
    usersByPk?: Maybe<Users>;
    /** fetch data from the table in a streaming manner: "users" */
    usersStream: Array<Users>;
    /** fetch data from the table: "verification_tokens" */
    verificationTokens: Array<VerificationTokens>;
    /** fetch aggregated fields from the table: "verification_tokens" */
    verificationTokensAggregate: VerificationTokensAggregate;
    /** fetch data from the table: "verification_tokens" using primary key columns */
    verificationTokensByPk?: Maybe<VerificationTokens>;
    /** fetch data from the table in a streaming manner: "verification_tokens" */
    verificationTokensStream: Array<VerificationTokens>;
};
export declare type Subscription_RootAccountsArgs = {
    distinctOn?: InputMaybe<Array<AccountsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<AccountsOrderBy>>;
    where?: InputMaybe<AccountsBoolExp>;
};
export declare type Subscription_RootAccountsAggregateArgs = {
    distinctOn?: InputMaybe<Array<AccountsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<AccountsOrderBy>>;
    where?: InputMaybe<AccountsBoolExp>;
};
export declare type Subscription_RootAccountsByPkArgs = {
    id: Scalars['uuid'];
};
export declare type Subscription_RootAccountsStreamArgs = {
    batchSize: Scalars['Int'];
    cursor: Array<InputMaybe<AccountsStreamCursorInput>>;
    where?: InputMaybe<AccountsBoolExp>;
};
export declare type Subscription_RootSessionsArgs = {
    distinctOn?: InputMaybe<Array<SessionsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<SessionsOrderBy>>;
    where?: InputMaybe<SessionsBoolExp>;
};
export declare type Subscription_RootSessionsAggregateArgs = {
    distinctOn?: InputMaybe<Array<SessionsSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<SessionsOrderBy>>;
    where?: InputMaybe<SessionsBoolExp>;
};
export declare type Subscription_RootSessionsByPkArgs = {
    id: Scalars['uuid'];
};
export declare type Subscription_RootSessionsStreamArgs = {
    batchSize: Scalars['Int'];
    cursor: Array<InputMaybe<SessionsStreamCursorInput>>;
    where?: InputMaybe<SessionsBoolExp>;
};
export declare type Subscription_RootUsersArgs = {
    distinctOn?: InputMaybe<Array<UsersSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<UsersOrderBy>>;
    where?: InputMaybe<UsersBoolExp>;
};
export declare type Subscription_RootUsersAggregateArgs = {
    distinctOn?: InputMaybe<Array<UsersSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<UsersOrderBy>>;
    where?: InputMaybe<UsersBoolExp>;
};
export declare type Subscription_RootUsersByPkArgs = {
    id: Scalars['uuid'];
};
export declare type Subscription_RootUsersStreamArgs = {
    batchSize: Scalars['Int'];
    cursor: Array<InputMaybe<UsersStreamCursorInput>>;
    where?: InputMaybe<UsersBoolExp>;
};
export declare type Subscription_RootVerificationTokensArgs = {
    distinctOn?: InputMaybe<Array<VerificationTokensSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<VerificationTokensOrderBy>>;
    where?: InputMaybe<VerificationTokensBoolExp>;
};
export declare type Subscription_RootVerificationTokensAggregateArgs = {
    distinctOn?: InputMaybe<Array<VerificationTokensSelectColumn>>;
    limit?: InputMaybe<Scalars['Int']>;
    offset?: InputMaybe<Scalars['Int']>;
    orderBy?: InputMaybe<Array<VerificationTokensOrderBy>>;
    where?: InputMaybe<VerificationTokensBoolExp>;
};
export declare type Subscription_RootVerificationTokensByPkArgs = {
    token: Scalars['String'];
};
export declare type Subscription_RootVerificationTokensStreamArgs = {
    batchSize: Scalars['Int'];
    cursor: Array<InputMaybe<VerificationTokensStreamCursorInput>>;
    where?: InputMaybe<VerificationTokensBoolExp>;
};
export declare type CreateAccountMutationVariables = Exact<{
    data: AccountsInsertInput;
}>;
export declare type CreateAccountMutation = {
    __typename?: 'mutation_root';
    insertAccountsOne?: {
        __typename: 'Accounts';
        id: any;
        type: string;
        scope?: string | null;
        userId: any;
        idToken?: string | null;
        provider: string;
        expiresAt?: any | null;
        tokenType?: string | null;
        oauthToken?: string | null;
        accessToken?: string | null;
        refreshToken?: string | null;
        sessionState?: string | null;
        providerAccountId: string;
        oauthTokenSecret?: string | null;
    } | null;
};
export declare type DeleteAccountMutationVariables = Exact<{
    provider: Scalars['String'];
    providerAccountId: Scalars['String'];
}>;
export declare type DeleteAccountMutation = {
    __typename?: 'mutation_root';
    deleteAccounts?: {
        __typename?: 'AccountsMutationResponse';
        returning: Array<{
            __typename: 'Accounts';
            id: any;
            type: string;
            scope?: string | null;
            userId: any;
            idToken?: string | null;
            provider: string;
            expiresAt?: any | null;
            tokenType?: string | null;
            oauthToken?: string | null;
            accessToken?: string | null;
            refreshToken?: string | null;
            sessionState?: string | null;
            providerAccountId: string;
            oauthTokenSecret?: string | null;
        }>;
    } | null;
};
export declare type UserFragment = {
    __typename: 'Users';
    id: any;
    name?: string | null;
    email?: string | null;
    image?: string | null;
    emailVerified?: any | null;
};
export declare type SessionFragment = {
    __typename: 'Sessions';
    id: any;
    userId: any;
    expires?: any | null;
    sessionToken: string;
};
export declare type AccountFragment = {
    __typename: 'Accounts';
    id: any;
    type: string;
    scope?: string | null;
    userId: any;
    idToken?: string | null;
    provider: string;
    expiresAt?: any | null;
    tokenType?: string | null;
    oauthToken?: string | null;
    accessToken?: string | null;
    refreshToken?: string | null;
    sessionState?: string | null;
    providerAccountId: string;
    oauthTokenSecret?: string | null;
};
export declare type VerificationTokenFragment = {
    __typename: 'VerificationTokens';
    token: string;
    expires?: any | null;
    identifier: string;
};
export declare type GetSessionQueryVariables = Exact<{
    sessionToken?: InputMaybe<Scalars['String']>;
}>;
export declare type GetSessionQuery = {
    __typename?: 'query_root';
    sessions: Array<{
        __typename: 'Sessions';
        id: any;
        userId: any;
        expires?: any | null;
        sessionToken: string;
        user: {
            __typename: 'Users';
            id: any;
            name?: string | null;
            email?: string | null;
            image?: string | null;
            emailVerified?: any | null;
        };
    }>;
};
export declare type CreateSessionMutationVariables = Exact<{
    data: SessionsInsertInput;
}>;
export declare type CreateSessionMutation = {
    __typename?: 'mutation_root';
    insertSessionsOne?: {
        __typename: 'Sessions';
        id: any;
        userId: any;
        expires?: any | null;
        sessionToken: string;
    } | null;
};
export declare type UpdateSessionMutationVariables = Exact<{
    sessionToken?: InputMaybe<Scalars['String']>;
    data: SessionsSetInput;
}>;
export declare type UpdateSessionMutation = {
    __typename?: 'mutation_root';
    updateSessions?: {
        __typename?: 'SessionsMutationResponse';
        returning: Array<{
            __typename: 'Sessions';
            id: any;
            userId: any;
            expires?: any | null;
            sessionToken: string;
        }>;
    } | null;
};
export declare type DeleteSessionMutationVariables = Exact<{
    sessionToken?: InputMaybe<Scalars['String']>;
}>;
export declare type DeleteSessionMutation = {
    __typename?: 'mutation_root';
    deleteSessions?: {
        __typename?: 'SessionsMutationResponse';
        returning: Array<{
            __typename: 'Sessions';
            id: any;
            userId: any;
            expires?: any | null;
            sessionToken: string;
        }>;
    } | null;
};
export declare type GetUserQueryVariables = Exact<{
    id: Scalars['uuid'];
}>;
export declare type GetUserQuery = {
    __typename?: 'query_root';
    usersByPk?: {
        __typename: 'Users';
        id: any;
        name?: string | null;
        email?: string | null;
        image?: string | null;
        emailVerified?: any | null;
    } | null;
};
export declare type GetUsersQueryVariables = Exact<{
    where: UsersBoolExp;
}>;
export declare type GetUsersQuery = {
    __typename?: 'query_root';
    users: Array<{
        __typename: 'Users';
        id: any;
        name?: string | null;
        email?: string | null;
        image?: string | null;
        emailVerified?: any | null;
    }>;
};
export declare type CreateUserMutationVariables = Exact<{
    data: UsersInsertInput;
}>;
export declare type CreateUserMutation = {
    __typename?: 'mutation_root';
    insertUsersOne?: {
        __typename: 'Users';
        id: any;
        name?: string | null;
        email?: string | null;
        image?: string | null;
        emailVerified?: any | null;
    } | null;
};
export declare type UpdateUserMutationVariables = Exact<{
    id: Scalars['uuid'];
    data: UsersSetInput;
}>;
export declare type UpdateUserMutation = {
    __typename?: 'mutation_root';
    updateUsersByPk?: {
        __typename: 'Users';
        id: any;
        name?: string | null;
        email?: string | null;
        image?: string | null;
        emailVerified?: any | null;
    } | null;
};
export declare type DeleteUserMutationVariables = Exact<{
    id: Scalars['uuid'];
}>;
export declare type DeleteUserMutation = {
    __typename?: 'mutation_root';
    deleteUsersByPk?: {
        __typename: 'Users';
        id: any;
        name?: string | null;
        email?: string | null;
        image?: string | null;
        emailVerified?: any | null;
    } | null;
};
export declare type CreateVerificationTokenMutationVariables = Exact<{
    data: VerificationTokensInsertInput;
}>;
export declare type CreateVerificationTokenMutation = {
    __typename?: 'mutation_root';
    insertVerificationTokensOne?: {
        __typename: 'VerificationTokens';
        token: string;
        expires?: any | null;
        identifier: string;
    } | null;
};
export declare type DeleteVerificationTokenMutationVariables = Exact<{
    identifier: Scalars['String'];
    token: Scalars['String'];
}>;
export declare type DeleteVerificationTokenMutation = {
    __typename?: 'mutation_root';
    deleteVerificationTokens?: {
        __typename?: 'VerificationTokensMutationResponse';
        returning: Array<{
            __typename: 'VerificationTokens';
            token: string;
            expires?: any | null;
            identifier: string;
        }>;
    } | null;
};
export declare const UserFragmentDoc: import("graphql").DocumentNode;
export declare const SessionFragmentDoc: import("graphql").DocumentNode;
export declare const AccountFragmentDoc: import("graphql").DocumentNode;
export declare const VerificationTokenFragmentDoc: import("graphql").DocumentNode;
export declare const CreateAccountDocument: import("graphql").DocumentNode;
export declare const DeleteAccountDocument: import("graphql").DocumentNode;
export declare const GetSessionDocument: import("graphql").DocumentNode;
export declare const CreateSessionDocument: import("graphql").DocumentNode;
export declare const UpdateSessionDocument: import("graphql").DocumentNode;
export declare const DeleteSessionDocument: import("graphql").DocumentNode;
export declare const GetUserDocument: import("graphql").DocumentNode;
export declare const GetUsersDocument: import("graphql").DocumentNode;
export declare const CreateUserDocument: import("graphql").DocumentNode;
export declare const UpdateUserDocument: import("graphql").DocumentNode;
export declare const DeleteUserDocument: import("graphql").DocumentNode;
export declare const CreateVerificationTokenDocument: import("graphql").DocumentNode;
export declare const DeleteVerificationTokenDocument: import("graphql").DocumentNode;
export declare type SdkFunctionWrapper = <T>(action: (requestHeaders?: Record<string, string>) => Promise<T>, operationName: string, operationType?: string) => Promise<T>;
export declare function getSdk(client: GraphQLClient, withWrapper?: SdkFunctionWrapper): {
    CreateAccount(variables: CreateAccountMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<CreateAccountMutation>;
    DeleteAccount(variables: DeleteAccountMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<DeleteAccountMutation>;
    GetSession(variables?: GetSessionQueryVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<GetSessionQuery>;
    CreateSession(variables: CreateSessionMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<CreateSessionMutation>;
    UpdateSession(variables: UpdateSessionMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<UpdateSessionMutation>;
    DeleteSession(variables?: DeleteSessionMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<DeleteSessionMutation>;
    GetUser(variables: GetUserQueryVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<GetUserQuery>;
    GetUsers(variables: GetUsersQueryVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<GetUsersQuery>;
    CreateUser(variables: CreateUserMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<CreateUserMutation>;
    UpdateUser(variables: UpdateUserMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<UpdateUserMutation>;
    DeleteUser(variables: DeleteUserMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<DeleteUserMutation>;
    CreateVerificationToken(variables: CreateVerificationTokenMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<CreateVerificationTokenMutation>;
    DeleteVerificationToken(variables: DeleteVerificationTokenMutationVariables, requestHeaders?: Dom.RequestInit["headers"]): Promise<DeleteVerificationTokenMutation>;
};
export declare type Sdk = ReturnType<typeof getSdk>;
